Skip to content

submissions_metadata_objects_metadata_retrieve

GET
/api/submissions/{submission_pk}/metadata_objects/{metadata_objects_pk}/metadata/{id}
curl --request GET \
--url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Retrieve a given submission metadata item.

id
required
string format: uuid

A UUID string identifying this submission metadata.

metadata_objects_pk
required
string format: uuid

Submission metadata object ID

submission_pk
required
string format: uuid

Submission ID

X-Workspace
required
string format: uuid

Workspace ID

Media typeapplication/json

Serializer for the submission metadata.

object
id
required
string format: uuid
submission
required
string format: uuid
submission_metadata_object
required
string format: uuid
field
required

Get the field information for the submission metadata.

Parameters

obj : SubmissionMetadata The submission metadata object.

Returns

dict The field information.

object
key
additional properties
value
required
object
value
nullable
source
required

Get source information from the source_metadata if it exists.

Parameters

obj : SubmissionMetadataValue SubmissionMetadataValue instance

Returns

dict or None Source information including object type, id, and name if available None if no source_metadata exists

object
key
additional properties
candidate_values
required
Array<object>

Serializer for the SubmissionMetadataValue model.

object
value
nullable
source
required

Get source information from the source_metadata if it exists.

Parameters

obj : SubmissionMetadataValue SubmissionMetadataValue instance

Returns

dict or None Source information including object type, id, and name if available None if no source_metadata exists

object
key
additional properties
is_valid
required
boolean
validation_errors
required
nullable
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : SubmissionMetadata The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : SubmissionMetadata The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example generated

{}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "<parameter_name>",
"code": "invalid",
"message": "\"<parameter_value>\" is not a valid UUID."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "submission",
"code": "not_allowed",
"message": "You are not a member of this submission."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}